Subject: RE: [newtrk] web pages for RFCs

From: <[email-masked]>
Date: Fri, 13 May 2005 16:17:45 +0300

Brian,

> Nevertheless, my personal opinion is that a web structure like
> that would be enormously beneficial (and would make it easy
> to generate a list of relevant RFCs to use as stable references
> in RFPs).
> 
> That's why I keep harping on about the fact that
> http://www.rfc-editor.org/rfcxx00.html is close, but
> made unfit for that purpose because it recognizes rather than
> ignores the 3 stage process.

Sorry if I wasn't clear - I do think it is useful, but it doesn't 
solve all our problems.

John

> [email-masked] wrote:
> > Hi Larry,
> > 
> > I originally proposed something like this, not for RFCs, but for
> > protocols.  A sort of one-stop shopping for protocols on the web.
> > If you wanted to know about SMTP, there would be a page with info
> > about the RFCs, which are current, which are obsolete, etc. It could
> > also link to other related documents.
> > 
> > I thought that we discussed this already in NEWTRK that while
> > this might be valuable, it doesn't solve the problem about providing
> > a stable reference, that it couldn't be used in RFPs, etc.
> > 
> > John
> > 
> > 
> >>-----Original Message-----
> >>From: [email-masked]
> >>[mailto:[email-masked]]On Behalf Of ext 
> Larry Masinter
> >>Sent: 13 May, 2005 09:47
> >>To: 'Bruce Lilly'; 'NEWTRK'; 'Hallam-Baker, Phillip'
> >>Subject: [newtrk] web pages for RFCs
> >>
> >>
> >>Maybe this belongs on the 'tools-discuss' list instead?
> >>I wonder how much of 'newtrk' discussion is really
> >>trying to solve problems that could be addressed
> >>without process changes but with a few more tools?
> >>
> >>Personally, I think we would be better to have
> >>a (automatically generated) web page for every RFC
> >>that will tell you about the status of that RFC:
> >>
> >>(pointer to) errata for the RFC
> >>Status of RFC (Standards track, historical, etc.)
> >>Pointer to other RFCs and standards actions that affect
> >>  this RFC (updates, obsoletes)
> >>
> >>(possibly) pointer to any "roadmap" RFCs that put
> >>this one in context, or ISDs.
> >>
> >>(possibly) pointer to (charter of) working group
> >>which developed the RFC, if any
> >>
> >>pointer to mailing list archive for mailing list that
> >>discussed this RFC.
> >>
> >>pointer to any IPR statements that specifically
> >>mention this RFC.
> >>
> >>All of the information should be specific to THIS
> >>RFC, not a pointer to some general list that you
> >>have to search to figure out what does and doesn't
> >>apply.
> >>
> >>And then we could add to the RFC boilerplate
> >>"for information about the status of this
> >>RFC, please consult 
> >>   <URI for this RFCs status>
> >>
> >>The status pages don't have to be automatically
> >>generated on the fly, they could easily be
> >>batch generated whenever information changes.
> >>
> >>Larry
> >>
> >>
> >>
> >>.
> >>newtrk 
> resources:_____________________________________________________
> >>web user interface: http://darkwing.uoregon.edu/~llynch/newtrk.html
> >>mhonarc archive: 
> http://darkwing.uoregon.edu/~llynch/newtrk/index.html
> >>
> > 
> > 
> > .
> > newtrk 
> resources:_____________________________________________________
> > web user interface: http://darkwing.uoregon.edu/~llynch/newtrk.html
> > mhonarc archive: 
> http://darkwing.uoregon.edu/~llynch/newtrk/index.html
> > 
> 
> 

.
newtrk resources:_____________________________________________________
web user interface: http://darkwing.uoregon.edu/~llynch/newtrk.html
mhonarc archive: http://darkwing.uoregon.edu/~llynch/newtrk/index.html